﻿using astorino_lib;
namespace c__example
{
    internal class Program
    {
        static void Main(string[] args)
        {
            astorino robot = new astorino();
            astorino.retVal ret = new astorino.retVal();

            List<string> ports = robot.findUSB();
            if(ports.Count > 0 ) 
            { 
                Console.WriteLine(ports.FirstOrDefault()); 
                byte r = robot.Connect(ports.FirstOrDefault());
                if(r == 0)
                {
                    Console.WriteLine("Connected!");
                    robot.setInternal(1, 1); // set output 1 ON
                    Thread.Sleep(1000);
                    ret = robot.readInternal(1);
                    if(ret.iVal == 1)
                        Console.WriteLine("Internal signal 1 is ON");
                    else
                        Console.WriteLine("Internal signal 1 is OFF");
                }
                robot.Disconnect();
            }
            
        }
    }
}